/*
	MovieClipLoader test code for GNU Flash Player
	Written (2016) by Nutchanon Wetchasit <Nutchanon.Wetchasit@gmail.com>
	
	Released to public domain under Creative Commons Zero 1.0
	(https://creativecommons.org/publicdomain/zero/1.0/)
*/
var loader:MovieClipLoader;

trace("loader: starting");
loader = new MovieClipLoader();
loader.onLoadStart = function(target:MovieClip) {
	trace("loader: animation loading started");
};
loader.onLoadProgress = function(target:MovieClip, loaded:Number, total:Number) {
	trace("loader: animation loading in progress: " + loaded + "/" + total);
};
loader.onLoadComplete = function(target:MovieClip, status:Number) {
	trace("loader: animation loading completed: status " + status);
};
loader.onLoadError = function(target:MovieClip, msg:String, status:Number) {
	trace("loader: animation loading failed: (status " + status + ") " + msg);
};
loader.onLoadInit = function(target:MovieClip) {
	trace("loader: animation code fully initialized");
};

if(!loader.loadClip("testanimation.swf", 1)) {
	trace("loader: failed to start animation loading");
}
